Bug 176288 - Review Request: kdemultimedia-extras
Review Request: kdemultimedia-extras
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
David Lawrence
:
: 145965 (view as bug list)
Depends On: 173927 181824
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 16:18 EST by Rex Dieter
Modified: 2007-12-10 11:41 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 07:52:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
backtrace from starting juk (27.36 KB, text/plain)
2005-12-20 18:11 EST, Dennis Gilmore
no flags Details
backtrace loading dir of podcasts (7.36 KB, text/plain)
2006-02-06 09:35 EST, Dennis Gilmore
no flags Details
backtrace from closing juk (4.11 KB, text/plain)
2006-02-06 09:37 EST, Dennis Gilmore
no flags Details

  None (edit)
Description Rex Dieter 2005-12-20 16:18:20 EST
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras-3.5.0-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.0-2.src.rpm
Description: 
Extras for KDE multimedia applications, including:
* akode_artsplugin (akode),
* juk (libtunepimp),
* kfile-plugins: flac, mpc, mp3 (taglib),
Comment 1 Dennis Gilmore 2005-12-20 18:11:54 EST
Created attachment 122474 [details]
backtrace from starting juk

backtrace from starting juk
Comment 2 Dennis Gilmore 2005-12-20 18:27:47 EST
quick check so far.  I built on x86_64 Rawhide box.    
   
[dennis@rpclnx001 ~]$ rpmlint   
redhat/RPMS/x86_64/kdemultimedia-extras-3.5.0-2.x86_64.rpm   
E: kdemultimedia-extras obsolete-not-provided juk   
E: kdemultimedia-extras invalid-soname /usr/lib64/libarts_akode.so   
libarts_akode.so   
W: kdemultimedia-extras no-documentation   
   
we at least need to have the License in documentation   
i dont think the obsolete is needed.  and not sure if the invalid-soname is a   
big deal.   
  
  
some bad  
  
[dennis@rpclnx001 SPECS]$ md5sum ../SOURCES/kdemultimedia-3.5.0.tar.bz2  
3bead58887f06af59afabdc542532bb0  ../SOURCES/kdemultimedia-3.5.0.tar.bz2  
[dennis@rpclnx001 SPECS]$ md5sum kdemultimedia-3.5.0.tar.bz2  
dd0ba9ccb2f522508c6543cd24e54c98  kdemultimedia-3.5.0.tar.bz2  
source md5sum  doesnt match upstream  if you used the tarball from the fedora  
package  then it needs to be noted and not use the path to kde's website  
  
path to the upstream tarball is invalid  it should  be   
ftp://ftp.kde.org/pub/kde/stable/3.5/src/kdemultimedia-3.5.0.tar.bz2  
you cant substitute the stable/3.5/  for stable/%{version}/  
  
  
im tryinga build now with upstream tarball.  the akode patch fails to apply.  
   
Comment 3 Rex Dieter 2005-12-20 22:54:11 EST
Looks like upstream modified the tarball since they released it to packagers... 

* Wed Dec 21 2005 Rex Dieter 6:3.5.0-3
- Source: redownload, fix URL
- %%doc: AUTHORS COPYING README
- drop Obsoletes: junk

http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.0-3.src.rpm
Comment 4 Rex Dieter 2005-12-23 11:56:26 EST
%changelog
* Wed Dec 21 2005 Rex Dieter 6:3.5.0-4
- disable debugging/filelist-conflicts-check crud (for now)

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.0-4.src.rpm
Comment 5 Dennis Gilmore 2005-12-23 15:57:19 EST
ok im still getting the backtrace.  which is a big show stopper  
Comment 6 Rex Dieter 2005-12-23 16:42:35 EST
It appears that juk crashes for me too, as long as it has an empty playlist. 
Once you create a playlist with any song(s), it appears better. 

Heck, if you consider this a showstopper, I'll gladly (at least temporarily)
disable juk so we can get this sucker out the door.
Comment 7 Rex Dieter 2005-12-23 16:49:10 EST
%changelog
* Fri Dec 23 2005 Rex Dieter 6:3.5.0-5
- disable juk (for now)

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.0-5.src.rpm
Comment 8 Kevin Kofler 2006-01-14 04:51:52 EST
Dennis: Are you sure your issue with JuK is not due to some C++ library needing 
a rebuild for a newer g++? This: http://bugs.kde.org/show_bug.cgi?id=118727 and 
the fact you're running Rawhide makes me think of this as a possible 
explanation, though in principle 4.0.x and 4.1.x all ought to be compatible. 
Comment 9 Dennis Gilmore 2006-01-14 11:27:28 EST
its very possible  that its something that needs rebuilding in extras.  ill do  
some tests today rebuilding things from extras. 
Comment 10 Dennis Gilmore 2006-02-05 16:35:05 EST
made a quick attempt to try with kdemultimedia 3.5.1  and its wanting 
unsermake 
Comment 11 Rex Dieter 2006-02-05 16:37:17 EST
It builds fine for me (in mock), and I have no unsermake.  Could you post the
failed build log? (or at least the errors you receive)?
Comment 12 Rex Dieter 2006-02-05 16:42:17 EST
%changelog
* Mon Jan 23 2006 Rex Dieter 6:3.5.1-1.1
- document "cleanup .la files" (#178734)
- (re)enable juk

* Sat Jan 21 2006 Rex Dieter 6:3.5.1-1.0
- kde-3.5.1

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-1.1.src.rpm
Comment 13 Dennis Gilmore 2006-02-05 16:52:21 EST
trying in mock now.  i have unsermake installed on my desktop.  hence  it 
tried to use it and failed. 
 
Comment 14 Dennis Gilmore 2006-02-05 17:02:11 EST
development tree build fails   
 
it needs to use the correct gstreamer plugins development package  one of the 
following  
 
gstreamer-plugins-base-devel 
gstreamer-plugins-good-devel 
gstreamer08-plugins-devel  
Comment 15 Rex Dieter 2006-02-05 19:50:22 EST
Please ignore devel for now, as this package is (primarily) targetted for fc4.  

Though, for devel, I'm pretty sure the correct BR is gstreamer08-plugins-devel.
Comment 16 Rex Dieter 2006-02-05 20:55:49 EST
(ignore comment #15, should be fixed now).

%changelog
* Sun Feb 05 2006 Rex Dieter 6:3.5.1-2
- fc5+: BR: gstreamer08-plugins-devel

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-2.src.rpm

Comment 17 Dennis Gilmore 2006-02-06 08:09:21 EST
akode is missing from fc4 
Comment 18 Rex Dieter 2006-02-06 08:14:37 EST
fc4 building now, should appear shortly.
Comment 19 Rex Dieter 2006-02-06 08:27:42 EST
 3760 (akode): Build on target fedora-4-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-4-extras/3760-akode-2.0-1.fc4/
Comment 20 Dennis Gilmore 2006-02-06 09:35:54 EST
Created attachment 124257 [details]
backtrace loading dir of podcasts

this is a backtrace i got trying to load in a directory of podcasts.
Comment 21 Dennis Gilmore 2006-02-06 09:37:41 EST
Created attachment 124258 [details]
backtrace from closing juk

this is a backtrace from opening and then closing juk.
Comment 22 Dennis Gilmore 2006-02-06 09:41:57 EST
juk still has some issues on devel.  im about to build a fc4 package and test 
it.   
 
rpmlint shows  
E: kdemultimedia-extras invalid-soname /usr/lib64/libarts_akode.so 
libarts_akode.so 
 
which  is ok.  
 
Comment 23 Rex Dieter 2006-02-06 09:47:39 EST
Ah, could be a x86_64-specific problem.  Regardless, I consider juk to be a
minor part here (the extra audio/video metafile/ecoding/decoding bits are, IMO).
 I'd rather this review not get bogged down in debugging one included app.  As I
said before, if juk becomes too burdensome with problems, we could just as
easily omit it (and possibly package it separately).

Those backtraces would be better served being submitted upstream to bugs.kde.org
Comment 24 Dennis Gilmore 2006-02-06 13:55:01 EST
-md5sum kdemultimedia-3.5.1.tar.bz2     
595f637c637987a92f6dac9d9cd6667d  kdemultimedia-3.5.1.tar.bz2     
matches values posted at http://kde.org/download/     
-rpmlint is ok     
-package meets naming guidelines    
-spec file is named correctly    
-license is acceptable and correct    
-spec file is in english    
-package built in mock on devel for x86_64 and i386    
    
    
extra build requires     
BuildRequires: libtheora-devel    
BuildRequires: libvorbis-devel >= 1:1.1.0    
    
only need versioned one.    
   
i would also suggest that the commented out patches  and defines  be removed   
to clean things up a little.   
   
I would personally remove the gtk-update-icon-cache from post as I believe    
thats not where it belongs,  but thats a personal preference and not a   
blocker.     
  
-no duplicate files   
-file permissions look good  
-package contains code  
-  
bad  
-package contains .la files  
-juk does not install .desktop file correctly  
 
Comment 25 Rex Dieter 2006-02-06 14:04:44 EST
> extra build requires     
> BuildRequires: libtheora-devel    
> BuildRequires: libvorbis-devel >= 1:1.1.0    
> only need versioned one. 

I don't follow.  Why?

> -package contains .la files  

These are loadable modules, not devel libraries, so don't worry.  (-: 
Regardless, kde really does need them unfortunately, so there's really no option
to remove these.

> I would personally remove the gtk-update-icon-cache from post as I believe    
> thats not where it belongs, 

Especially after the recent discussions on the mailing list(s), I agree 100%.

> -juk does not install .desktop file correctly

I assume you mean that we're missing:
desktop-file-install --add-category "X-Fedora"
?
Comment 26 Dennis Gilmore 2006-02-06 14:51:24 EST
(In reply to comment #25) 
> > extra build requires      
> > BuildRequires: libtheora-devel     
> > BuildRequires: libvorbis-devel >= 1:1.1.0     
> > only need versioned one.  
>  
> I don't follow.  Why? 
Cause i misread :( sorry  
 
> > -package contains .la files   
>  
> These are loadable modules, not devel libraries, so don't worry.  (-:  
> Regardless, kde really does need them unfortunately, so there's really no 
option 
> to remove these. 
yeah i thought they were getting removed  
> > I would personally remove the gtk-update-icon-cache from post as I believe     
> > thats not where it belongs,  
>  
> Especially after the recent discussions on the mailing list(s), I agree 
100%. 
 
 
> > -juk does not install .desktop file correctly 
>  
> I assume you mean that we're missing: 
> desktop-file-install --add-category "X-Fedora" 
> ? 
yeah thats what i mean 
 
 
Comment 27 Rex Dieter 2006-02-24 08:19:24 EST
%changelog
* Fri Feb 24 2006 Rex Dieter 6:3.5.1-3
- -extras: --add-category "X-Fedora"

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-3.src.rpm
Comment 28 Dennis Gilmore 2006-02-25 10:51:56 EST
%if "%{?juk:1}" == "1" 
desktop-file-install --vendor=fedora \ 
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde \ 
  --add-category="X-Fedora" \ 
  --delete-original \ 
  $RPM_BUILD_ROOT%{_datadir}/applications/kde/juk.desktop 
%endif 
 
the desktop-file-install was wrong. there was a done  that did not belong 
there  and you have to add --vendor=fedora  not --vendor="" and you need to 
delete the original  otherwise you end up with 2 .desktop files. 
   
 
Fix this and the package is approved 
Comment 29 Rex Dieter 2006-02-25 21:07:41 EST
OK... I purposely didn't want to change vendor, because that changes the name of
the desktop file (juk.desktop -> fedora-juk.desktop) and folks you'd previously
used menu editors would have their mods broken because of the name change... but
I guess it's not that big of deal... I'll conform.
Comment 30 Rex Dieter 2006-02-25 21:09:36 EST
%changelog 
* Sat Feb 25 2006 Rex Dieter 6:3.5.1-4
- -extras: --vendor="fedora"

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-4.src.rpm
Comment 31 Dennis Gilmore 2006-02-26 13:26:40 EST
build fails as you left the done in there  i said you needed to remove 
previously. build failed on x86_64 also  couldnt find qt. 
 
you need to add  
export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include 
 
to the build section. 
Comment 32 Rex Dieter 2006-02-26 16:35:01 EST
%changelog
* Sun Feb 26 2006 Rex Dieter 6:3.5.1-5
- remove stray 'done'
- set QTLIB/QTINC (at least until #169132 is backported to fc4)

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-5.src.rpm
Comment 33 Dennis Gilmore 2006-02-26 17:43:50 EST
also forgot  that we need to either wait to gstreamer08 is approved for extras  
or everything is ported over to gstreamer 0.10 
Comment 34 Rex Dieter 2006-02-26 17:48:41 EST
Re: comment #33, that's only relavent for the devel/fc5 branch (And we'll, of
course, keep an eye on that).  Until gst08 is approved, we can disable gst support.
  
fc4 need not wait.  (-:
Comment 35 Michael Schwendt 2006-03-02 10:56:59 EST
Still:
Resolving apt.kde-redhat.org... failed: Temporary failure in name resolution.
Comment 36 Rex Dieter 2006-03-02 10:59:33 EST
apt.kde-redhat.org WORKSFORME.  You can try kde-redhat.unl.edu if you're still
having trouble.
Comment 37 Michael Schwendt 2006-03-16 09:49:22 EST
The source tarball must be stripped as in FC, so it doesn't include
any code with licensing/patenting issues like: mpg123_artsplugin/mpg123
Comment 38 Rex Dieter 2006-03-16 11:21:39 EST
%changelog
* Thu Mar 16 2006 Rex Dieter 6:3.5.1-6
- -core/-extras: use (fc's) kdemultimedia-3.5.1-patched.tar.bz2

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-6.src.rpm
Comment 39 Rex Dieter 2006-03-16 12:12:04 EST
%changelog
* Thu Mar 16 2006 Rex Dieter 6:3.5.1-7
- kfile-plugins/mp3: -extras -> -nonfree

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/kdemultimedia-extras.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/kdemultimedia-extras-3.5.1-7.src.rpm
Comment 40 Michael Schwendt 2006-03-16 17:18:48 EST
> kfile-plugins/mp3: -extras -> -nonfree

I was about to suggest that ;-), since although the plugin only
handles ID3 tag access, it doesn't make much sense to include this
(and the MIME type assignment!) without mp3 codec support in KDE.
So, moving this is the better choice, IMO.
Comment 41 Michael Schwendt 2006-03-17 11:01:42 EST
I'm content with the files I see in the built binary packages.
juk has not crashed one time yet, btw.
Comment 42 Orion Poplawski 2006-03-21 15:11:58 EST
I'd love to see this for FC5 soon....
Comment 43 Dennis Gilmore 2006-03-30 22:50:14 EST
ok   rpmlint   
E: kdemultimedia-extras invalid-soname /usr/lib64/libarts_akode.so  
libarts_akode.so  
  
i think its just complaining of the _  and i think its ok  
 
juk  has been ok for me now. 
 
md5sums  match the source in fedoras SRPM 
 
builds in mock on fc5 
 
Rest  of previous review good things stand 
 
APPROVED 
Comment 44 Rex Dieter 2006-03-31 07:52:35 EST
Thanks, imported.  Build(s) forthcoming.
Comment 45 Rex Dieter 2006-05-10 10:20:11 EDT
*** Bug 145965 has been marked as a duplicate of this bug. ***
Comment 46 Rex Dieter 2007-12-10 11:19:34 EST
Package Change Request
======================
Package Name: kdemultimedia-extras
New Branches: EL-5
Comment 47 Kevin Fenzi 2007-12-10 11:41:06 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.